from netforce.model import Model, fields

class HdCaseStaff(Model):
    _name="clinic.hd.case.staff"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",required=True,on_delete="cascade"),
        "staff_id": fields.Many2One("clinic.staff","Staff",search=True),
        "type": fields.Selection([("doctor","Doctor"),('nurse','Nurse'),("others","Others")],"Type",required=True),
        "priop": fields.Selection([("owner","Owner"),('other','Other')],"Priority"),
        'note': fields.Char("Note"),
    }
    
    _defaults={
        'type': 'nurse',
        'priop': 'other',
    }

HdCaseStaff.register()

